/*////////////////////////////////////////////////////////////////////////////
	PROJECT:	PIC Ethernet
	COPYRIGHT	 2009 Dean J. Boman

	FILE:		TC77_read.h
	AUTHOR:		Dean J. Boman

	OVERVIEW:
		This implements the SPI interface to communicate with the TC77 temperature
		sensor

	REVISION HISTORY:

	Dec. 24, 2011	Initial development


*/////////////////////////////////////////////////////////////////////////////
#ifndef TC77_READ_H
#define TC77_READ_H

#include "typedef.h"

#define CLOCK_LOW TSENSE_SPI_CLK = 0;
#define CLOCK_HIGH TSENSE_SPI_CLK = 1;


#define CLOCKDELAY 25					//Clock speed (250 usec)


float TempRead(uint8 Address);

#endif
